@echo off
:start
cls
echo.
echo.
echo.
echo.
echo                     ---------------------------------------
echo                       Duke Nukem Army - Kenia Productions
echo                     ---------------------------------------
echo                                                    version 1.0
echo.
echo.
echo                          [1] To start a Assault game
echo                          [2] To start a DM, HD or CTF game
echo                          [3] Start D-DAY battle
echo                          [4] Help
echo                          [5] Exit
echo.
echo                     (c) Kenia Productions
@choice /c:12345 /n

if errorlevel 5 goto exit
if errorlevel 4 goto help
if errorlevel 3 goto dday
if errorlevel 2 goto dmhlctf
if errorlevel 1 goto assault

:assault
cls
setup /xassault.con /gdukearmy.grp
goto start

:dmhlctf
cls
setup /xctf.con /gdukearmy.grp
goto start

:dday
cls
echo.
echo.
echo.
echo.
echo                     ---------------------------------------
echo                       D-DAY battle - select your skill
echo                     ---------------------------------------
echo                                                    version 1.0
echo.
echo.
echo                          [1] Beginner
echo                          [2] Veteran
echo                          [3] Gimme some more
echo                          [4] Death is my brother
echo.
echo                          [5] Back
@choice /c:12345 /n

if errorlevel 5 goto start
if errorlevel 4 goto ddaybeginner
if errorlevel 3 goto ddayveteran
if errorlevel 2 goto ddaymore
if errorlevel 1 goto ddaydeath

:ddaybeginner
@duke3d /l1 /v1 /s1 /xassault.con /gdukearmy.grp
goto start

:ddayveteran
@duke3d /l1 /v1 /s2 /xassault.con /gdukearmy.grp
goto start

:ddaymore
@duke3d /l1 /v1 /s3 /xassault.con /gdukearmy.grp
goto start

:ddaydeath
@duke3d /l1 /v1 /s4 /xassault.con /gdukearmy.grp
goto start

:help
cls
@notepad help.txt
echo Hit a key to continue.
pause > 0
goto start

:exit
cls
echo.
echo.
echo.
echo.
echo                     ---------------------------------------
echo                       Duke Nukem Army - Kenia Productions
echo                     ---------------------------------------
echo                                                    version 1.0
